FTUNSHADES Integration Tests
============================

This repo contains integration tests for the FTUNSHADES system, that require
the presence in the system of both the TNT toolchain and a compatible
FTUNSHADES device.

Adding New Tests
----------------

When adding new designs, include at least the following files:

  * .bit file, gzipped (see below)
  * .dat file
  * .ll
  * .ebd file, gzipped (see below)
  * .pin file

It is a good idea to gzip any files that are big in size (>1MB).

Also, add a brief description of the test to the list at the end of this file.

Existing Tests
--------------

counter: An useful test to check the correct assembly of the hardware. It uses
the 8 bits counter's design and compares the test's output versus a golden
output.

lansce: This test implements the LANSCE's design, with multiple versions of the
Edelweiss transmitter. This design is suitable to check readbacks and to
perform long duration campaigns.

bram: This test checks correct reading and writing on the embedded BRAMs.

stim512outs: (Unsupported at the moment) This test has 512 outputs and no
inputs. This test contains a 512-bit shift register pre-loaded with one '1' and
512 zeroes. This allows to test the 512 I/O connections between the Service and
Target FPGAs.

test512pins: This test has 256 inputs and 256 outputs. This test instances a
256-bit wide register. Each output corresponds to one of the inputs, delayed
one clock cycle.
